createrepo_c library 1.2.1 C library for metadata manipulation

Data Fields
cr_Package Struct Reference
Package representation.

`#include <package.h>`

## Data Fields
gint64 | pkgKey
char * | pkgId
char * | name
char * | arch
char * | version
char * | epoch
char * | release
char * | summary
char * | description
char * | url
gint64 | time_file
gint64 | time_build
char * | rpm_license
char * | rpm_vendor
char * | rpm_group
char * | rpm_buildhost
char * | rpm_sourcerpm
gint64 | rpm_header_start
gint64 | rpm_header_end
char * | rpm_packager
gint64 | size_package
gint64 | size_installed
gint64 | size_archive
char * | location_href
char * | location_base
char * | checksum_type
char * | files_checksum_type
GSList * | requires
GSList * | provides
GSList * | conflicts
GSList * | obsoletes
GSList * | suggests
GSList * | enhances
GSList * | recommends
GSList * | supplements
GSList * | files
GSList * | changelogs
char * | hdrid
cr_BinaryData * | siggpg
cr_BinaryData * | sigpgp
GStringChunk * | chunk
cr_PackageLoadingFlags | loadingflags
gboolean | skip_dump

## Detailed Description

Package

Definition at line 84 of file package.h.

## Field Documentation

## ◆ arch

char* arch

architecture

Definition at line 88 of file package.h.

## ◆ changelogs

GSList* changelogs

changelogs (list of cr_ChangelogEntry structs)

Definition at line 129 of file package.h.

## ◆ checksum_type

char* checksum_type

type of checksum used ("sha1", "sha256", "md5", ..)

Definition at line 113 of file package.h.

## ◆ chunk

GStringChunk* chunk

string chunk for store all package strings on the single place

Definition at line 136 of file package.h.

## ◆ conflicts

GSList* conflicts

conflicts (list of cr_Dependency structs)

Definition at line 120 of file package.h.

## ◆ description

char* description

description

Definition at line 93 of file package.h.

## ◆ enhances

GSList* enhances

enhances (list of cr_Dependency structs)

Definition at line 123 of file package.h.

## ◆ epoch

char* epoch

epoch

Definition at line 90 of file package.h.

## ◆ files

GSList* files

files in the package (list of cr_PackageFile structs)

Definition at line 127 of file package.h.

## ◆ files_checksum_type

char* files_checksum_type

type of checksum used for files ("sha1", "sha256", "md5", ..)

Definition at line 115 of file package.h.

## ◆ loadingflags

cr_PackageLoadingFlags loadingflags

Bitfield flags with information about package loading

Definition at line 139 of file package.h.

## ◆ location_base

char* location_base

location (url) of repository

Definition at line 112 of file package.h.

## ◆ location_href

char* location_href

file location inside repository

Definition at line 111 of file package.h.

## ◆ name

char* name

name

Definition at line 87 of file package.h.

## ◆ obsoletes

GSList* obsoletes

obsoletes (list of cr_Dependency structs)

Definition at line 121 of file package.h.

## ◆ pkgId

char* pkgId

package hash

Definition at line 86 of file package.h.

## ◆ pkgKey

gint64 pkgKey

used while inserting into sqlite db

Definition at line 85 of file package.h.

## ◆ provides

GSList* provides

provides (list of cr_Dependency structs)

Definition at line 119 of file package.h.

## ◆ recommends

GSList* recommends

recommends (list of cr_Dependency structs)

Definition at line 124 of file package.h.

## ◆ release

char* release

release

Definition at line 91 of file package.h.

## ◆ requires

GSList* requires

requires (list of cr_Dependency structs)

Definition at line 118 of file package.h.

## ◆ rpm_buildhost

char* rpm_buildhost

hostname of machine which builds the package

Definition at line 101 of file package.h.

## ◆ rpm_group

char* rpm_group

group (one value from /usr/share/doc/rpm- (your_rpm_version)/GROUPS)

Definition at line 99 of file package.h.

## ◆ rpm_header_end

gint64 rpm_header_end

end byte of header in rpm

Definition at line 105 of file package.h.

## ◆ rpm_header_start

gint64 rpm_header_start

start byte of header in rpm

Definition at line 104 of file package.h.

## ◆ rpm_license

char* rpm_license

license

Definition at line 97 of file package.h.

## ◆ rpm_packager

char* rpm_packager

packager of package

Definition at line 106 of file package.h.

## ◆ rpm_sourcerpm

char* rpm_sourcerpm

name of srpms

Definition at line 103 of file package.h.

## ◆ rpm_vendor

char* rpm_vendor

vendor

Definition at line 98 of file package.h.

## ◆ size_archive

gint64 size_archive

size of archive (I have no idea what does it mean)

Definition at line 109 of file package.h.

## ◆ size_installed

gint64 size_installed

size of installed files

Definition at line 108 of file package.h.

## ◆ size_package

gint64 size_package

size of rpm package

Definition at line 107 of file package.h.

## ◆ skip_dump

gboolean skip_dump

Don't dump this package to metadata.

Definition at line 141 of file package.h.

## ◆ suggests

GSList* suggests

suggests (list of cr_Dependency structs)

Definition at line 122 of file package.h.

## ◆ summary

char* summary

summary

Definition at line 92 of file package.h.

## ◆ supplements

GSList* supplements

supplements (list of cr_Dependency structs)

Definition at line 125 of file package.h.

## ◆ time_build

gint64 time_build

build time (from rpm header)

Definition at line 96 of file package.h.

## ◆ time_file

gint64 time_file

mtime of file

Definition at line 95 of file package.h.

## ◆ url

char* url

package homepage

Definition at line 94 of file package.h.

## ◆ version

char* version

version

Definition at line 89 of file package.h.

The documentation for this struct was generated from the following file:

- E:/rpmbuild/BUILD/createrepo_c-os2-1.2.1-os2/src/package.h